ru.bitel.bgbilling.kernel.event.events

## Class ContractStatusChangedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.events.ContractStatusChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractStatusChangedEvent
      extends QueueEvent

  Асинхронное событие - cтатус договора изменен.
  Вызывается после изменения статуса договора, в том числе, при смене статуса из web.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractStatusChangedEvent()`
    `` | `ContractStatusChangedEvent(ContractStatus status, int userId)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractStatus` | `getStatus()` Возвращает установленный статус договора.
    `int` | `getTypeId()` Deprecated.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractStatusChangedEvent

          protected ContractStatusChangedEvent()

    - #### ContractStatusChangedEvent

          public ContractStatusChangedEvent(ContractStatus status,
                                            int userId)

      Конструктор события.
      Parameters:
        `status` - - статус договора
        `userId` - - id пользователя, сгенерировавшего событие

  - ### Method Detail

    - #### getStatus

          public ContractStatus getStatus()

      Возвращает установленный статус договора.
      Returns:
        status - статус договора

    - #### getTypeId

          @Deprecated
          public int getTypeId()

      Deprecated.
      Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns: